Update from 2.2.6 to 2.3.5 broke web UI



  • I initiated an upgrade from 2.2.6 to 2.3.5 in the web UI. All appeared to go well until the reboot. Now I have a console with errors, and no process appears to be listening where the web service should be. I booted from a 2.4.5 installer and tried to use the 'recover config.xml' option, but the screen just flickers and I'm back at the 'Accept' screen.

    So booting back into the broken 2.3.5 install, I see messages like

    Warning: PHP Startup: Unable to load dynamic library 'user/local/lib/php/20131226/pdo_sqlite.so' - /lib/libc.so.7: version FBSD_1.5 required by /usr/local/lib/libsqlite3.so.0 not found in Unknown on line 0
    

    And similar messages for openssl.so and ldap.so.

    I search the forum for this error and found advice to try the new install with recovery option, but I already said how that went. What's the recommended way forward?

    I did have one idea that I haven't tried yet. This is a VM clone of a production system that is running 2.2.6, although the interfaces configuration has been totally changed. After I changed the interfaces on the clone, I did an XMLRPC config push from live to clone, and the result was satisfactory. If I do a new install on the clone and push the config again, can I expect the same good result while pushing from 2.2.6 to 2.4.5?

    Is there a better way to rescue this? The goal ultimately is to do a swing migration from the live 2.2.6 system to the replacement 2.4.5 system without having to hand-input the sizeable configuration.



  • System log shows "php-fpm[47960]: /rc.filter_synchronize: The other member is on a different configuration version of pfSense. Sync will not be done to prevent problems!" when trying to sync from 2.2.6 to 2.4.5, so that answers that question.



  • I have managed to export/import most of the configs that I need from the old one to the new one, so I'm not too worried about this problem anymore.


Log in to reply